import Movable from "./Movable.js";
import RetroAnimation from "./retro/RetroAnimation.js";

export default class MrCroc extends Movable
{
    constructor() {
        let SCALE = 3;
        super(new RetroAnimation('graphics/mr-croc-walk-right.png', 2, SCALE), 7);
        this.isJumping = false;
        this.addAnimation('WALK_RIGHT', new RetroAnimation('graphics/mr-croc-walk-right.png', 2, SCALE, 10));
        this.addAnimation('WALK_LEFT', new RetroAnimation('graphics/mr-croc-walk-left.png', 2, SCALE, 10));
    }

    moveRight(timestamp, delta = 1)
    {
        this.playAnimation('WALK_RIGHT', timestamp);
        super.moveRight(delta);
    }

    moveLeft(timestamp, delta = 1)
    {
        this.playAnimation('WALK_LEFT', timestamp);
        super.moveLeft(delta);
    }
}